source "$CONFIGDIR/zsh/plugins/zsh-git-prompt/zshrc.sh"
source "$CONFIGDIR/zsh/plugins/catppuccin-zsh-syntax-highlighting/themes/catppuccin_mocha-zsh-syntax-highlighting.zsh"
source "$CONFIGDIR/zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh"
source "$CONFIGDIR/zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh"

# Autocomplete
ZSH_AUTOSUGGEST_USE_ASYNC=true
ZSH_AUTOSUGGEST_STRATEGY=(history completion)

# Prompt
configPrompt() {
  case $(uname -n) in
    "Noahs-M3-MacBook-Pro.local") PROMPT_EMOJI="🌊";;
    "Noahs-Mac-mini.local") PROMPT_EMOJI="💿";;
    "pfych-desktop") PROMPT_EMOJI="✨";;
    "violets-laptop") PROMPT_EMOJI="🏳️‍⚧️";;
    *) PROMPT_EMOJI="😵‍💫";;
  esac

  # if [ -x "$(command -v wezterm)" ]; then
  #   if [ "$TERM_PROGRAM" = "WezTerm" ]; then
  #     wezterm cli set-tab-title "$PROMPT_EMOJI $(pwd)"
  #   fi
  # fi

  PROMPT="$PROMPT_EMOJI [%c] "
  RPROMPT="$(git_super_status)"
}

[[ -z $precmd_functions ]] && precmd_functions=()
precmd_functions=($precmd_functions configPrompt)

